/**
 * app公告发布公告审核
 * 2018/4/20 by liufang
 */
$(function () {
	template.config("escape", false);
	var appSend = {
		init: function () {
			this.render();
			this.bindEvent();
		},
		render: function () {
			this.rendertable();

		},
		bindEvent: function () {
			var _this = this;
			layui.use('laydate', function () {
				var laydate = layui.laydate;

				//执行一个laydate实例
				laydate.render({
					elem: '#c_startTime' //提交开始时间

				});
				laydate.render({
					elem: '#c_endTime' //提交结束时间

				});
				laydate.render({
					elem: '#a_startTime' //审核开始时间

				});
				laydate.render({
					elem: '#a_endTime' //审核结束时间

				});
			});
			//重置
			$(".set-btn").on("click", function () {
				$("#conditionform input").val("");
			})
		},
		rendertable: function () {
			var _this = this;
			layui.use('table', function () {
				var table = layui.table;

				//方法级渲染
				table.render({
					elem: '#LAY_table_user',
					url: $("#contextPath").val() + "/notice/appNotice/getList",
					skin: 'nob' //行边框风格
			    		  ,even: true //开启隔行背景
			    		  ,size: 'lg' //小尺寸的表格
					,cols: [
						[{
							field: 'createTime',
							title: '时间',
							minWidth: 200
						}, {
							field: 'title',
							title: '标题',
							minWidth: 200
						}, {
							field: 'content',
							title: '内容',
							minWidth: 200
						}, {
							field: 'fullName',
							title: '编辑人',
							width: 120
						}, {
							field: 'state',
							title: '状态',
							width: 100,
							templet: function (data) {
								if (data.state == 0) {
									return "<span class='red'>未审核<span>"
								} else if (data.state == 1) {
									return '已发布'
								} else if (data.state == 2) {
									return '已驳回'
								} else if (data.state == 3) {
									return '原文链接'
								}
							}
						}, {
							field: 'approval_user',
							title: '审核人',
							width: 120
						}, {
							field: 'approval_time',
							title: '审核时间',
							minWidth: 200
						}, {
							field: 'id',
							title: '详情',
							width: 120,
							templet: function (data) {
								return "<div data-id=" + data.id + "  class='check-blue-btn'>查看详情</div>"
							}
						}, {
							field: 'id',
							title: '可操作',
							fixed: 'right',
							width: 130,
							align: 'center',
							templet: function (data) {
								var str = '';
								if (data.state == 0) {
									str += '<button class="t-btn t-red-btn t-publish-btn" data-id=' + data.id + ' data-type="1">发布</button>';
									str += '<button class="t-btn t-white-btn t-reject-btn" data-id=' + data.id + ' data-type="2">驳回</button>';
								};
								//	    						if(data.state !=2){
								//	    							
								//	    						};
								return str;
							}
						}]
					],
					id: 'testReload',
					page: true,
					response: {
						statusName: 'code' //数据状态的字段名称，默认：code
							,
						statusCode: 200 //成功的状态码，默认：0
							,
						countName: "count" //数据总数的字段名称，默认：count
							,
						dataName: "data" //数据列表的字段名称，默认：data
					},
					done: function (res, curr, count) {
						//如果是异步请求数据方式，res即为你接口返回的信息。
						//查看详情
						$(".check-blue-btn").on("click", function () {
							var id = $(this).data("id");
							//显示详情弹窗
							_this.showDetailDialog(id)
						});
						//发布
						$(".t-publish-btn").on("click", function () {
							var id = $(this).data("id");
							var type = $(this).data("type")
							_this.publish(type, id, function () {
								table.reload('testReload', {
									where: { //设定异步数据接口的额外参数，任意设
										"c_beginTime": $("#c_startTime").val(),
										"c_endTime": $("#c_endTime").val(),
										"a_beginTime": $("#a_startTime").val(),
										"a_endTime": $("#a_endTime").val(),
										"state": $(".filter-btn-item.active").data("type")
									},
									page: {
										curr: 1 //重新从第 1 页开始
									}
								});
							});
						});
						$(".t-reject-btn").on("click", function () {
							var id = $(this).data("id");
							var type = $(this).data("type")
							_this.publish(type, id, function () {
								table.reload('testReload', {
									where: { //设定异步数据接口的额外参数，任意设
										"c_beginTime": $("#c_startTime").val(),
										"c_endTime": $("#c_endTime").val(),
										"a_beginTime": $("#a_startTime").val(),
										"a_endTime": $("#a_endTime").val(),
										"state": $(".filter-btn-item.active").data("type")
									},
									page: {
										curr: 1 //重新从第 1 页开始
									}
								});
							});
						});
					}
				});
				//查询
				$('#conditionform  .search-btn').on('click', function () {
					console.log('$("#state").val():',$("#state").val())
					table.reload('testReload', {
						where: { //设定异步数据接口的额外参数，任意设
							"c_beginTime": $("#c_startTime").val(),
							"c_endTime": $("#c_endTime").val(),
							"a_beginTime": $("#a_startTime").val(),
							"a_endTime": $("#a_endTime").val(),
							"state": $("#state").val(),
							"noticeType": $("#noticeType").val()
						},
						page: {
							curr: 1 //重新从第 1 页开始
						}
					});
				});
				//状态筛选
				$(".filter-btn-item").on("click", function () {
					$(this).addClass("active").siblings().removeClass("active");
					table.reload('testReload', {
						where: { //设定异步数据接口的额外参数，任意设
							"c_beginTime": $("#c_startTime").val(),
							"c_endTime": $("#c_endTime").val(),
							"a_beginTime": $("#a_startTime").val(),
							"a_endTime": $("#a_endTime").val(),
							"state": $(".filter-btn-item.active").data("type")
						},
						page: {
							curr: 1 //重新从第 1 页开始
						}
					});
				})
			});
		},
		/**
		 * 显示详情弹窗
		 * @param id 
		 */
		showDetailDialog: function (id) {
			var _this = this;
			_this.ajaxDetail(id, function (data) {
				$("body").append(template.render(tpl.detailTpl)(data));
				//关闭弹窗
				$(".close-btn").on("click", function () {
					$(".dialog-wp").remove();
				})
			})
		},
		ajaxDetail: function (id, callback) {
			var _this = this;
			$.ajax({
				type: "post",
				url: $("#contextPath").val() + "/notice/appNotice/getDetail",
				data: {
					"id": id
				},
				success: function (data) {
					var data = JSON.parse(data);
					if (data.code == 200) {
						callback(data.data);
					} else {
						layer.msg(data.msg)
					}
				},
				error: function (error) {
					layer.msg('error')
				}
			});
		},
		/**
		 * 发布弹窗
		 * @param type 1为发布 2为驳回
		 * @param id 数据id
		 */
		publish: function (type, id, callback) {

			var _this = this;
			if (type == 1) {
				layer.confirm('确定发布?', {
					btn: ['确定', '取消']
				}, function (index, layero) {
					layer.close(index); //如果设定了yes回调，需进行手工关闭
					_this.ajaxPublish(type, id, callback);
				}, function (index) {

				});
			} else {
				layer.confirm('确定驳回?', {
					btn: ['确定', '取消']
				}, function (index, layero) {
					layer.close(index); //如果设定了yes回调，需进行手工关闭
					_this.ajaxPublish(type, id, callback);

				}, function (index) {

				});
			}
		},
		/**
		 * 发布请求
		 * @param type 1为发布 2为驳回
		 * @param id 数据id
		 */
		ajaxPublish: function (type, id, callback) {
			$.ajax({
				type: "post",
				url: $("#contextPath").val() + "/notice/appNotice/approvalAppNotice",
				data: {
					"id": id,
					"state": type
				},
				success: function (data) {
					var data = JSON.parse(data);
					if (data.code == '200') {
						if (type == 1) {
							layer.msg('发布成功！')
						} else {
							layer.msg('驳回成功！')
						}
						callback();

					} else {
						layer.msg(data.msg)
					}
				},
				error: function (error) {
					layer.msg('error')
				}
			});
		}
	};
	appSend.init();
})